export declare const theme: {
    type: string;
    palette: {
        background: {
            paper: string;
            default: string;
            light: string;
            medium: string;
            border: string;
            gradient: string;
        };
        text: {
            primary: string;
            secondary: string;
            disabled: string;
            hint: string;
            divider: string;
        };
        grey: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
        };
        primary: {
            lighter: string;
            light: string;
            main: string;
            dark: string;
            darker: string;
            contrastText: string;
        };
        secondary: {
            light: string;
            main: string;
            dark: string;
            contrastText: string;
        };
        error: {
            light: string;
            main: string;
            dark: string;
            contrastText: string;
        };
        success: {
            light: string;
            main: string;
            dark: string;
            contrastText: string;
        };
        warning: {
            light: string;
            main: string;
            dark: string;
            contrastText: string;
        };
        info: {
            light: string;
            main: string;
            dark: string;
            contrastText: string;
        };
        gradients: {
            daylight: string;
            midnight: string;
            primary: string;
        };
        common: {
            white: string;
            black: string;
            transparent: string;
        };
    };
    overrides: {
        MuiTooltip: {
            tooltip: {
                fontSize: number;
            };
        };
        MuiTabs: {
            indicator: {
                background: string;
            };
        };
    };
    typography: {
        fontFamily: string;
        fontWeightLight: number;
        fontWeightRegular: number;
        fontWeightMedium: number;
        fontWeightBold: number;
        h1: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        h2: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        h3: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        h4: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        h5: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        h6: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        subtitle1: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        subtitle2: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        body1: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        body2: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        button: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        button2: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        caption: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
        overline: {
            fontSize: number;
            fontFamily: string;
            fontWeight: number;
            lineHeight: number;
            letterSpacing: string;
        };
    };
    spacing: number[];
    radius: {
        none: number;
        small: number;
        medium: number;
        large: number;
        button: number;
        card: number;
    };
};
